Bug 230364 - java/openjdk8: upgrade to update 192 build 03
Summary: java/openjdk8: upgrade to update 192 build 03
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-04 21:23 UTC by Michael Osipov
Modified: 2018-12-27 10:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
8u192 update (238.03 KB, patch)
2018-12-03 03:10 UTC, Greg Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2018-08-04 21:23:58 UTC

    
Comment 1 Greg Lewis freebsd_committer 2018-12-03 03:10:20 UTC
Created attachment 199773 [details]
8u192 update

Please test
Comment 2 Michael Osipov 2018-12-03 10:29:44 UTC
(In reply to Greg Lewis from comment #1)

Patch applied, compiled and installed. Works for me!
Comment 3 Greg Lewis freebsd_committer 2018-12-04 02:47:25 UTC
Hi Michael, could you please let me which operating system version and architecture?  My tests are on 11.2/amd64.
Comment 4 Michael Osipov 2018-12-04 09:16:03 UTC
(In reply to Greg Lewis from comment #3)

I am running off FreeBSD blnn719x.ad001.siemens.net 11.2-STABLE FreeBSD 11.2-STABLE #30 r340918: Mon Nov 26 13:33:08 CET 2018     root@blnn719x.ad001.siemens.net:/usr/obj/usr/src/sys/BLNN719X  i386
Comment 5 commit-hook freebsd_committer 2018-12-08 18:36:07 UTC
A commit references this bug:

Author: glewis
Date: Sat Dec  8 18:35:31 UTC 2018
New revision: 486973
URL: https://svnweb.freebsd.org/changeset/ports/486973

Log:
  . Update to 8u192.

  PR:		230364

Changes:
  head/java/openjdk8/Makefile
  head/java/openjdk8/distinfo
  head/java/openjdk8/files/patch-bsd
  head/java/openjdk8/files/patch-bsd-test
  head/java/openjdk8/files/patch-configure
  head/java/openjdk8/files/patch-hotspot_make_bsd_makefiles_vm.make
  head/java/openjdk8/files/patch-jdk-make-lib-Awt2dLibraries.gmk
Comment 6 commit-hook freebsd_committer 2018-12-27 10:47:19 UTC
A commit references this bug:

Author: ale
Date: Thu Dec 27 10:46:57 UTC 2018
New revision: 488531
URL: https://svnweb.freebsd.org/changeset/ports/488531

Log:
  MFH: r485094 r486973 r486983 r487219 r488521

  - Fix reversed ccache version detection logic.  Enable ccache support.
  - Use '-pthread' for Clang.  Clang supports '-pthread' on all BSDs except
  for Darwin. [1]

  Reported by:	Achilleas Mantzios <achill@matrix.gatewaynet.com> [1]
  Tested by:	Achilleas Mantzios <achill@matrix.gatewaynet.com> [1]

  . Update to 8u192.

  PR:		230364

  . Fix SCTP support.

  PR:		230321
  Submitted by:	Timo Voelker <timo.voelker@fh-muenster.de>

  . Fix build on gcc based architectures (e.g. powerpc64)

  PR:		233883
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

  Add support for millisecond resolution to get/setLastModifiedTime
  in both Java IO and NIO.

  Approved by:	portmgr (bapt)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/java/openjdk8/Makefile
  branches/2018Q4/java/openjdk8/distinfo
  branches/2018Q4/java/openjdk8/files/patch-bsd
  branches/2018Q4/java/openjdk8/files/patch-bsd-test
  branches/2018Q4/java/openjdk8/files/patch-common_autoconf_build-performance.m4
  branches/2018Q4/java/openjdk8/files/patch-common_autoconf_generated-configure.sh
  branches/2018Q4/java/openjdk8/files/patch-configure
  branches/2018Q4/java/openjdk8/files/patch-hotspot_make_bsd_makefiles_gcc.make
  branches/2018Q4/java/openjdk8/files/patch-jdk-make-lib-Awt2dLibraries.gmk
  branches/2018Q4/java/openjdk8/files/patch-jdk-src-solaris-native-java-io-UnixFileSystem_md.c
  branches/2018Q4/java/openjdk8/files/patch-jdk-src-solaris-native-sun-nio-ch-sctp-SctpChannelImpl.c
  branches/2018Q4/java/openjdk8/files/patch-jdk-src-solaris-native-sun-nio-fs-UnixNativeDispatcher.c